# Management API Reference

* **components**
  * **parameters**
    * **cloudPrincipalID**
      * *description: ID of the cloud principal*

      * *in: path*

      * *name: cloudPrincipalID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **cloudfunctionID**
      * *description: ID of the cloud function*

      * *example: 7b68b78d-a000-4000-9000-0864fd331524*

      * *in: path*

      * *name: cloudfunctionID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **connectionID**
      * *description: ID of the private connection*

      * *in: path*

      * *name: connectionID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **fields**
      * *description: Comma-separated values list that correspond to the filtered fields for returned entities*

      * *in: query*

      * *name: fields*

      * **schema**
        * *type: string*

    * **flowID**
      * *description: ID of the SingleStore Flow instance*

      * *in: path*

      * *name: flowID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **invitationID**
      * *description: ID of the user invitation*

      * *in: path*

      * *name: invitationID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **jobID**
      * *description: ID of the job*

      * *example: 7b68b78d-a000-4000-9000-0864fd331524*

      * *in: path*

      * *name: jobID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **lastKnownUpdatedAt**
      * *description: The timestamp used for concurrency control. The resource will be updated only if the current last updated timestamp matches the given value.*

      * *example: 2026-01-18T09:56:56Z*

      * *in: query*

      * *name: lastKnownUpdatedAt*

      * **schema**
        * *format: date-time*

        * *type: string*

    * **limit**
      * *description: Maximum number of items to return in a paginated query*

      * *in: query*

      * *name: limit*

      * **schema**
        * *type: integer*

    * **offsetID**
      * *description: ID of the last item from the previous page, used to continue pagination.*

      * *in: query*

      * *name: offsetID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **organizationID**
      * *description: ID of the organization*

      * *in: path*

      * *name: organizationID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **projectID**
      * *description: ID of the project*

      * *in: path*

      * *name: projectID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **resourceType**
      * *description: Resource type*

      * **examples**
        * **cluster**
          * *value: cluster*

        * **organization**
          * *value: organization*

        * **secret**
          * *value: secret*

        * **team**
          * *value: team*

        * **workspace**
          * *value: workspace*

      * *in: path*

      * *name: resourceType*

      * **schema**
        * *type: string*

    * **role**
      * *description: The role name*

      * *in: path*

      * *name: role*

      * **schema**
        * *type: string*

    * **secretID**
      * *description: ID of the secret*

      * *in: path*

      * *name: secretID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **serviceAccountID**
      * *description: ID of the service account*

      * *in: path*

      * *name: serviceAccountID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **teamID**
      * *description: ID of the team*

      * *in: path*

      * *name: teamID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **updateNotebookSnapshot**
      * *description: Indicates whether to update the notebook snapshot after updating the cloud function.*

      * *in: query*

      * *name: updateNotebookSnapshot*

      * **schema**
        * *type: boolean*

    * **userID**
      * *description: ID of the user*

      * *in: path*

      * *name: userID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **workspaceGroupID**
      * *description: ID of the workspace group*

      * *in: path*

      * *name: workspaceGroupID*

      * **schema**
        * *format: uuid*

        * *type: string*

    * **workspaceID**
      * *description: ID of the workspace*

      * *in: path*

      * *name: workspaceID*

      * **schema**
        * *format: uuid*

        * *type: string*

  * **schemas**
    * **AppToken**
      * **properties**
        * **expiresAt**
          * *description: The time at which this JWT token will become invalid*

          * *example: 11-22-2024T15:04:05*

          * *type: string*

        * **jwt**
          * *description: The JWT token that can be used to interact with a singlestore native App*

          * *example: eyJhbGciOiJI...*

          * *type: string*

      * **required**
        * *0: jwt*

        * *1: expiresAt*

      * *type: object*

    * **AuditLog**
      * *description: Represents an audit log entry*

      * **properties**
        * **apiKeyID**
          * *description: The API key ID used to perform this action, if applicable*

          * *format: uuid*

          * *type: string*

        * **attributes**
          * *description: additional keys and values that are specific to the audit log type*

          * *type: object*

        * **auditID**
          * *example: 17290909-0000-1000-9000-e30410f1b05a*

          * *format: uuid*

          * *type: string*

        * **clusterID**
          * *description: The database cluster tied to this event*

          * *format: uuid*

          * *type: string*

        * **createdAt**
          * *description: The timestamp of when the audit log entry was created in RFC3339Nano format*

          * *type: string*

        * **error**
          * *description: text error message, if any relating to this entry*

          * *example:&#x20;*

          * *type: string*

        * **firstName**
          * *description: The first name of a redacted user*

          * *type: string*

        * **labels**
          * *description: A list of audit keywords*

          * **example**
            * *0: featureflag*

          * **items**
            * *type: string*

          * *type: array*

        * **lastName**
          * *description: The last name of a redacted user*

          * *type: string*

        * **orgID**
          * *description: The organization tied to this event*

          * *format: uuid*

          * *type: string*

        * **projectID**
          * *description: This property is deprecated. This is an internal project ID, not related to other project related fields.*

          * *format: uuid*

          * *type: string*

        * **reason**
          * *description: A human-readable description of what happened*

          * *example: feature flag (ssoLogin) enabled for all orgs*

          * *type: string*

        * **sessionID**
          * *description: the authorization session id tied to this event*

          * *format: uuid*

          * *type: string*

        * **source**
          * *description: The audit log entry source*

          * **enum**
            * *0: Portal*

            * *1: Admin*

            * *2: SystemJob*

          * *example: Portal*

          * *type: string*

        * **teamID**
          * *description: ID of the team related to this event*

          * *format: uuid*

          * *type: string*

        * **type**
          * *description: The audit log entry type*

          * *example: Login*

          * *type: string*

        * **userEmail**
          * *description: The user email address*

          * *example: user\@email.com*

          * *type: string*

        * **userID**
          * *description: The user ID*

          * *example: 17290909-0000-1000-9000-e30410f1b05a*

          * *type: string*

        * **userType**
          * *description: the type of user that triggered the audit log entry*

          * **enum**
            * *0: Unspecified*

            * *1: System*

            * *2: Employee*

            * *3: Customer*

            * *4: Automation*

            * *5: Studio*

            * *6: CIAutomation*

            * *7: SharedTier*

            * *8: SNIProxy*

            * *9: NimbusGateway*

            * *10: Cluster*

          * *example: Customer*

          * *type: string*

        * **workspaceID**
          * *description: The workspace id tied to this event*

          * *format: uuid*

          * *type: string*

      * *type: object*

    * **AutoScale**
      * *description: Specifies the \[autoscale]\(https\://docs.singlestore.com/cloud/getting-started-with-singlestore-helios/about-workspaces/workspace-scaling/#autoscaling) setting for the workspace.*

      * **properties**
        * **changedAt**
          * *description: Timestamp of last auto-scale configuration change*

          * *format: date-time*

          * *type: string*

        * **lastAutoScaledAt**
          * *description: Timestamp of last auto-scaling event*

          * *format: date-time*

          * *type: string*

        * **maxScaleFactor**
          * *description: The maximum scale factor allowed for the workspace. It can have the following values: 1, 2, or 4. On creation, if not specified, autoscaling is disabled. To disable autoscaling on update, set to 1.*

          * *type: number*

        * **sensitivity**
          * *default: NORMAL*

          * *description: Specifies the sensitivity of the autoscale operation to changes in the workload. It can have the following values: \`LOW\`, \`NORMAL\`, or \`HIGH\`. By default, the sensitivity is set to \`NORMAL\`.*

          * **enum**
            * *0: LOW*

            * *1: NORMAL*

            * *2: HIGH*

          * *example: LOW*

          * *type: string*

      * *type: object*

    * **BillingUsage**
      * *description: Represents the information related to billing usage*

      * **properties**
        * **metric**
          * *description: The metric type*

          * **enum**
            * *0: compute-hour*

          * *type: string*

        * **usage**
          * *description: Usage information*

          * **items**
            * **properties**
              * **endTime**
                * *description: The end time of the interval*

                * *example: 2024-06-01 09:00:00 +0000 UTC*

                * *type: string*

              * **ownerId**
                * *description: ID of the owner of the resource*

                * *example: 78af2f46-0000-1000-9000-3f6f5365d878*

                * *type: string*

              * **resourceId**
                * *description: ID of the resource*

                * *example: 78af2f46-0000-1000-9000-3f6f5365d878*

                * *type: string*

              * **resourceName**
                * *description: Name of the resource*

                * *example: test-workspace*

                * *type: string*

              * **resourceType**
                * *description: The resource type*

                * *example: Workspace*

                * *type: string*

              * **startTime**
                * *description: The start time of the interval*

                * *example: 2024-06-01 08:00:00 +0000 UTC*

                * *type: string*

              * **value**
                * *description: Resource usage value*

                * *example: 30.00*

                * *type: string*

            * *type: object*

          * *type: array*

      * *type: object*

    * **CloudFunctionCreate**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/CloudFunctionFields*

        * **1**
          * **properties**
            * **isAgent**
              * *description: Whether the cloud function runs as an agent*

              * *type: boolean*

          * *type: object*

      * *description: Represents information specified while creating a cloud function*

      * **required**
        * *0: name*

    * **CloudFunctionFields**
      * *description: Common fields for cloud function create and update operations*

      * **properties**
        * **databaseName**
          * *description: Name of the database to connect to*

          * *example: my\_database*

          * *type: string*

        * **description**
          * *description: Description of the cloud function*

          * *example: My custom cloud function*

          * *type: string*

        * **idleTimeoutSeconds**
          * *description: Idle timeout in seconds*

          * *type: integer*

        * **image**
          * *description: Container image to use (mutually exclusive with \`notebookPath\`)*

          * *example: my-registry/my-image:latest*

          * *type: string*

        * **name**
          * *description: Name of the cloud function*

          * *example: my-cloud-function*

          * *type: string*

        * **notebookPath**
          * *description: Path to the notebook file (mutually exclusive with \`image\`)*

          * *example: my-notebook.ipynb*

          * *type: string*

        * **poolName**
          * *description: Nova pool name for execution*

          * *example: my-pool*

          * *type: string*

        * **targetID**
          * *description: Target resource ID (required if \`targetType\` is specified)*

          * *example: 7b68b78d-a000-4000-9000-0864fd331524*

          * *format: uuid*

          * *type: string*

        * **targetType**
          * *description: Type of the target resource (required if \`targetID\` is specified). It can have one of the following values: \`WORKSPACE\`, \`CLUSTER\`, or \`VIRTUAL\_WORKSPACE\`.*

          * **enum**
            * *0: WORKSPACE*

            * *1: CLUSTER*

            * *2: VIRTUAL\_WORKSPACE*

          * *example: WORKSPACE*

          * *type: string*

      * *type: object*

    * **CloudFunctionUpdate**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/CloudFunctionFields*

      * *description: Represents information specified while updating a cloud function*

    * **CloudPrincipal**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/CloudPrincipalIDResponse*

        * **1**
          * *$ref: #/components/schemas/CloudPrincipalUpdate*

        * **2**
          * **properties**
            * **cloudPrincipal**
              * *description: Customer cloud identity bound to this principal.*

              * *example: arn:aws:iam::123456789012:role/IngestionRole*

              * *type: string*

            * **createdBy**
              * *description: Identifier of the user that created the cloud principal.*

              * *format: uuid*

              * *type: string*

            * **email**
              * *description: The generated fake email address for the cloud principal.*

              * *example: cloud-principal-abc123\@service.singlestore.com*

              * *type: string*

          * **required**
            * *0: cloudPrincipal*

            * *1: email*

            * *2: name*

            * *3: description*

          * *type: object*

      * *description: Information about a SingleStoreDB Cloud principal.*

    * **CloudPrincipalCreate**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/CloudPrincipalUpdate*

        * **1**
          * **properties**
            * **cloudPrincipal**
              * *description: Customer cloud identity to bind to this principal.*

              * *example: arn:aws:iam::123456789012:role/IngestionRole*

              * *type: string*

          * **required**
            * *0: name*

            * *1: cloudPrincipal*

          * *type: object*

      * *description: Information specified when creating a cloud principal.*

    * **CloudPrincipalIDResponse**
      * *description: Represents a cloud principal identifier response payload.*

      * **properties**
        * **cloudPrincipalID**
          * *description: Cloud principal identifier.*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: cloudPrincipalID*

      * *type: object*

    * **CloudPrincipalUpdate**
      * *description: Information specified when updating a cloud principal.*

      * **properties**
        * **description**
          * *description: Cloud principal description.*

          * *example: Cloud principal used by ingestion jobs.*

          * *type: string*

        * **name**
          * *description: Cloud principal name.*

          * *example: ingestion-role-renamed*

          * *type: string*

      * *type: object*

    * **CloudProvider**
      * *description: Cloud provider*

      * **enum**
        * *0: AWS*

        * *1: GCP*

        * *2: Azure*

      * *type: string*

    * **CloudWorkloadIdentity**
      * **properties**
        * **identity**
          * *description: The cloud workload identity bound to the workspace group that can be used to access cloud resources. The identity format is determined by the cloud provider where the workspace group is hosted. For example, on AWS it's an IAM role ARN.*

          * *example: arn:aws:iam::123456789012:role/sp5e57fc943d4245dda93431b40f883073*

          * *type: string*

      * **required**
        * *0: identity*

      * *type: object*

    * **ControlAccessAction**
      * **properties**
        * **grants**
          * **items**
            * *$ref: #/components/schemas/ControlAccessRole*

          * *type: array*

        * **revokes**
          * **items**
            * *$ref: #/components/schemas/ControlAccessRole*

          * *type: array*

      * **required**
        * *0: grants*

        * *1: revokes*

      * *type: object*

    * **ControlAccessRole**
      * **properties**
        * **role**
          * *type: string*

        * **teams**
          * **items**
            * *format: uuid*

            * *type: string*

          * *type: array*

        * **users**
          * **items**
            * *format: uuid*

            * *type: string*

          * *type: array*

      * **required**
        * *0: role*

        * *1: teams*

        * *2: users*

      * *type: object*

    * **DelegatedEntitiesAppend**
      * **properties**
        * **entities**
          * *description: List of customer-provided entities (such as IAM role ARNs) to add to the workspace group's delegated entities.*

          * **example**
            * *0: arn:aws:iam::987654321098:role/singlestore-iceberg-readonly*

            * *1: arn:aws:iam::987654321098:role/singlestore-s3-pipelines*

          * **items**
            * *type: string*

          * *type: array*

      * **required**
        * *0: entities*

      * *type: object*

    * **DelegatedEntitiesRemove**
      * **properties**
        * **entities**
          * *description: List of customer-provided entities (such as IAM role ARNs) to remove from the workspace group's delegated entities. If not provided in the request body, entities can be specified via the 'entities' query parameter.*

          * **example**
            * *0: arn:aws:iam::987654321098:role/singlestore-iceberg-readonly*

          * **items**
            * *type: string*

          * *type: array*

      * *type: object*

    * **DelegatedEntity**
      * **properties**
        * **createdAt**
          * *description: Creation timestamp*

          * *format: date-time*

          * *type: string*

        * **entity**
          * *description: The customer-provided entity that the workspace group's cloud workload identity can assume. The entity format is determined by the cloud provider where the workspace group is hosted. For example, on AWS it's a customer-owned IAM role ARN.*

          * *example: arn:aws:iam::987654321098:role/CustomerRole*

          * *type: string*

      * **required**
        * *0: entity*

        * *1: createdAt*

      * *type: object*

    * **EgressClusterIdentityCreate**
      * *description: Represents the information specified to create an export cluster identity*

      * **properties**
        * **catalogInfo**
          * *description: Catalog information for creating the export cluster identity*

          * *type: object*

        * **storageInfo**
          * *description: Storage information for creating the export cluster identity*

          * *type: object*

      * **required**
        * *0: storageInfo*

        * *1: catalogInfo*

      * *type: object*

    * **Execution**
      * **properties**
        * **executionID**
          * *description: The ID of execution*

          * *format: uuid*

          * *type: string*

        * **executionNumber**
          * *description: Number of the execution*

          * *type: number*

        * **finishedAt**
          * *description: Finish time of the execution*

          * *format: date-time*

          * *type: string*

        * **jobID**
          * *description: ID of the job that this execution belongs to*

          * *format: uuid*

          * *type: string*

        * **scheduledStartTime**
          * *description: Scheduled start time of the execution*

          * *format: date-time*

          * *type: string*

        * **snapshotNotebookPath**
          * *description: Path to the notebook which captures the result of this execution*

          * *type: string*

        * **startedAt**
          * *description: Actual start time of the execution*

          * *format: date-time*

          * *type: string*

        * **status**
          * **enum**
            * *0: Unknown*

            * *1: Scheduled*

            * *2: Running*

            * *3: Completed*

            * *4: Failed*

            * *5: Error*

            * *6: Canceled*

          * *example: Scheduled*

          * *type: string*

      * **required**
        * *0: executionID*

        * *1: jobID*

        * *2: status*

        * *3: scheduledStartTime*

        * *4: executionNumber*

      * *type: object*

    * **ExecutionsMetadata**
      * **properties**
        * **endExecutionNumber**
          * *type: number*

        * **startExecutionNumber**
          * *type: number*

      * **required**
        * *0: startExecutionNumber*

        * *1: endExecutionNumber*

      * *type: object*

    * **ExecutionsResult**
      * **properties**
        * **executions**
          * **items**
            * *$ref: #/components/schemas/Execution*

          * *type: array*

        * **executionsMetadata**
          * *$ref: #/components/schemas/ExecutionsMetadata*

      * **required**
        * *0: executions*

        * *1: executionsMetadata*

      * *type: object*

    * **FileLocationSchema**
      * *description: The file location can be one of 'personal', 'shared' or 'models'*

      * **enum**
        * *0: personal*

        * *1: shared*

        * *2: models*

      * *example: personal*

      * *type: string*

    * **FileObjectMetadata**
      * *description: Represents the metadata corresponding to a file object*

      * **properties**
        * **content**
          * **oneOf**
            * **0**
              * *example: Hello World!*

              * *type: string*

            * **1**
              * **example**


              * **items**
                * *$ref: #/components/schemas/FileObjectMetadata*

              * *type: array*

        * **created**
          * *example: 2023-09-08T17:35:43Z*

          * *type: string*

        * **format**
          * *description: Format of the response*

          * **enum**
            * *0: json*

          * *type: string*

        * **last\_modified**
          * *example: 2023-09-08T17:35:43Z*

          * *type: string*

        * **mimetype**
          * *type: string*

        * **name**
          * *description: Name of the file object*

          * *example: file.json*

          * *type: string*

        * **path**
          * *description: Path of the file object*

          * *example: parent\_folder/sample\_folder/file.json*

          * *type: string*

        * **size**
          * *type: integer*

        * **type**
          * *description: Object type*

          * **enum**
            * *0:&#x20;*

            * *1: json*

            * *2: directory*

          * *type: string*

        * **writable**
          * *type: boolean*

      * *type: object*

    * **Flow**
      * *description: Represents information related to a SingleStore Flow instance*

      * **properties**
        * **createdAt**
          * *description: Timestamp of when the Flow instance was created*

          * *format: date-time*

          * *type: string*

        * **databaseName**
          * *description: Name of the SingleStore database associated with the Flow instance*

          * *type: string*

        * **deletedAt**
          * *description: (If included in the output) The timestamp of when the Flow instance was terminated*

          * *format: date-time*

          * *type: string*

        * **endpoint**
          * *description: Endpoint of the Flow instance*

          * *type: string*

        * **flowID**
          * *description: ID of the Flow instance*

          * *format: uuid*

          * *type: string*

        * **name**
          * *description: Name of the Flow instance*

          * *type: string*

        * **size**
          * *description: Size of the Flow instance (in Flow size notation), such as "F1"*

          * *type: string*

        * **status**
          * *description: Status of the Flow instance, such as whether it is Running or Deleted*

          * *type: string*

        * **userName**
          * *description: Name of the SingleStore database user associated with the Flow instance*

          * *type: string*

        * **workspaceID**
          * *description: ID of the workspace associated with the Flow instance*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: name*

        * *1: flowID*

        * *2: createdAt*

      * *type: object*

    * **FlowCreate**
      * *description: Represents the information specified while creating a SingleStore Flow instance*

      * **properties**
        * **databaseName**
          * *description: Name of the SingleStore database to connect to*

          * *example: database\_1*

          * *type: string*

        * **name**
          * *description: Name of the Flow instance*

          * *example: flow-instance-1*

          * *type: string*

        * **size**
          * *description: Size of the Flow instance (in Flow size notation), such as "F1"*

          * *example: F2*

          * *type: string*

        * **userName**
          * *description: Username of the SingleStore database user with which to connect to the SingleStore database*

          * *example: admin*

          * *type: string*

        * **workspaceID**
          * *description: The ID of the workspace to associate the Flow instance with*

          * *example: 7d6b3a5a-0000-1000-9000-d454af4c785b*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: name*

        * *1: workspaceID*

        * *2: userName*

        * *3: databaseName*

      * *type: object*

    * **IdentityRole**
      * **properties**
        * **resourceID**
          * *description: The resource id*

          * *format: uuid*

          * *type: string*

        * **resourceType**
          * *description: The resource type*

          * *type: string*

        * **role**
          * *description: The role can access the resource*

          * *type: string*

      * **required**
        * *0: role*

        * *1: resourceType*

        * *2: resourceID*

      * *type: object*

    * **Job**
      * **properties**
        * **completedExecutionsCount**
          * *description: Count of completed executions for the job*

          * *type: integer*

        * **createdAt**
          * *description: Creation time of the job*

          * *format: date-time*

          * *type: string*

        * **description**
          * *description: Description of the job*

          * *example: Sample Description*

          * *type: string*

        * **enqueuedBy**
          * *description: ID of the user who created the job*

          * *format: uuid*

          * *type: string*

        * **executionConfig**
          * *$ref: #/components/schemas/JobExecutionConfig*

        * **jobID**
          * *description: ID of the job*

          * *format: uuid*

          * *type: string*

        * **jobMetadata**
          * *description: Array containing information about the max/avg execution duration and the number of executions with a particular status for the job*

          * **items**
            * *$ref: #/components/schemas/JobMetadata*

          * *type: array*

        * **name**
          * *description: Name of the job*

          * *example: Sample Job*

          * *type: string*

        * **schedule**
          * *$ref: #/components/schemas/JobSchedule*

        * **targetConfig**
          * *$ref: #/components/schemas/JobTargetConfig*

        * **terminatedAt**
          * *description: Termination time of the job*

          * *format: date-time*

          * *type: string*

      * **required**
        * *0: jobID*

        * *1: enqueuedBy*

        * *2: executionConfig*

        * *3: schedule*

        * *4: createdAt*

        * *5: completedExecutionsCount*

        * *6: jobMetadata*

      * *type: object*

    * **JobCreate**
      * *description: Represents the information specified when creating a job.*

      * **properties**
        * **description**
          * *description: Description of the job*

          * *example: Job Description*

          * *type: string*

        * **executionConfig**
          * **properties**
            * **createSnapshot**
              * *description: Indicates whether the job will save snapshots*

              * *type: boolean*

            * **notebookPath**
              * *description: Path to the shared notebook file that contains the code that needs to be run on a schedule as part of this job*

              * *example: sample\_notebook.ipynb*

              * *type: string*

            * **runtimeName**
              * *description: Name of the runtime*

              * *example: notebooks-cpu-small*

              * *type: string*

          * **required**
            * *0: notebookPath*

            * *1: createSnapshot*

          * *type: object*

        * **name**
          * *description: Name of the job*

          * *example: Job Name*

          * *type: string*

        * **parameters**
          * *description: Array containing the parameters for the job*

          * **items**
            * *$ref: #/components/schemas/JobParameter*

          * *type: array*

        * **schedule**
          * *$ref: #/components/schemas/JobSchedule*

        * **targetConfig**
          * *$ref: #/components/schemas/JobTargetConfig*

      * **required**
        * *0: name*

        * *1: executionConfig*

        * *2: schedule*

      * *type: object*

    * **JobExecutionConfig**
      * **properties**
        * **createSnapshot**
          * *description: Indicates whether the job will save snapshots*

          * *type: boolean*

        * **maxAllowedExecutionDurationInMinutes**
          * *description: Maximum allowed execution duration for the job in minutes*

          * *type: integer*

        * **notebookPath**
          * *description: Path to the shared notebook file that contains the code that needs to be run on a schedule as part of this job*

          * *example: sample\_notebook.ipynb*

          * *type: string*

      * **required**
        * *0: notebookPath*

        * *1: createSnapshot*

        * *2: maxAllowedExecutionDurationInMinutes*

      * *type: object*

    * **JobMetadata**
      * **properties**
        * **avgDurationInSeconds**
          * *description: Average duration of executions (in seconds) with the corresponding status*

          * *format: float*

          * *type: number*

        * **count**
          * *description: The number of executions with the corresponding status*

          * *type: integer*

        * **maxDurationInSeconds**
          * *description: Maximum duration of executions (in seconds) with the corresponding status*

          * *format: float*

          * *type: number*

        * **status**
          * **enum**
            * *0: Unknown*

            * *1: Scheduled*

            * *2: Running*

            * *3: Completed*

            * *4: Failed*

            * *5: Error*

            * *6: Canceled*

          * *example: Completed*

          * *type: string*

      * **required**
        * *0: status*

        * *1: count*

      * *type: object*

    * **JobParameter**
      * **properties**
        * **name**
          * *description: Name of the parameter*

          * *example: foo*

          * *type: string*

        * **type**
          * *description: Type of the parameter*

          * **enum**
            * *0: string*

            * *1: integer*

            * *2: float*

            * *3: boolean*

          * *example: integer*

          * *type: string*

        * **value**
          * *description: Value of the parameter*

          * *example: 10*

          * *type: string*

      * **required**
        * *0: name*

        * *1: value*

        * *2: type*

      * *type: object*

    * **JobSchedule**
      * **properties**
        * **executionIntervalInMinutes**
          * *description: The time interval between executions of this job. This is required for a Recurring job.*

          * *type: integer*

        * **mode**
          * **enum**
            * *0: Recurring*

            * *1: Once*

          * *type: string*

        * **startAt**
          * *description: The time at which the first execution of this job should begin.*

          * *format: date-time*

          * *type: string*

      * **required**
        * *0: mode*

      * *type: object*

    * **JobTargetConfig**
      * **properties**
        * **databaseName**
          * *description: Name of the database*

          * *example: sample\_db*

          * *type: string*

        * **resumeTarget**
          * *description: Indicates whether executions of this job will resume the target associated with the job, if it is suspended*

          * *type: boolean*

        * **targetID**
          * *description: The target ID for the job, this could be the ID of Workspace, Cluster or VirtualWorkspace (in case of shared-tier).*

          * *format: uuid*

          * *type: string*

        * **targetType**
          * **enum**
            * *0: Workspace*

            * *1: Cluster*

            * *2: VirtualWorkspace*

          * *type: string*

      * **required**
        * *0: targetType*

        * *1: targetID*

        * *2: resumeTarget*

      * *type: object*

    * **Model**
      * **properties**
        * **connectionURL**
          * *description: Model base url*

          * *type: string*

        * **modelName**
          * *description: Name or ID of the model*

          * *type: string*

        * **name**
          * *description: Name of the Model*

          * *type: string*

        * **serviceID**
          * *description: Model ID*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: serviceID*

        * *1: name*

        * *2: connectionURL*

        * *3: modelName*

      * *type: object*

    * **ModelStart**
      * **properties**
        * **hostingPlatform**
          * *description: Platform hosting the model*

          * **enum**
            * *0: Nova*

            * *1: Amazon*

            * *2: Azure*

          * *example: Nova*

          * *type: string*

        * **modelID**
          * *description: ID of the model*

          * *type: string*

        * **modelName**
          * *description: Name of the model*

          * *type: string*

        * **rawConnectionURL**
          * *description: Direct connection URL to the model service*

          * *type: string*

        * **version**
          * *description: Version of the model*

          * *type: string*

      * **required**
        * *0: modelName*

        * *1: modelID*

        * *2: version*

        * *3: hostingPlatform*

        * *4: rawConnectionURL*

      * *type: object*

    * **NotebookCloudFunction**
      * *description: A cloud function resource*

      * **properties**
        * **createdAt**
          * *description: Timestamp of when the cloud function was created*

          * *example: 2025-08-08T13:41:45.835577Z*

          * *format: date-time*

          * *type: string*

        * **createdBy**
          * *description: ID of the user that created the cloud function*

          * *example: 41e2268a-b000-4000-9000-4ed98936a401*

          * *format: uuid*

          * *type: string*

        * **description**
          * *description: Description of the cloud function*

          * *example: My custom cloud function*

          * *type: string*

        * **endpoint**
          * *description: The endpoint URL for invoking the cloud function*

          * *example: https\://app.singlestore.com/functions/7b68b78d-a000-4000-9000-0864fd331524/*

          * *type: string*

        * **lastUpdatedAt**
          * *description: Timestamp of when the cloud function was last updated*

          * *example: 2025-08-09T10:20:30.123456Z*

          * *format: date-time*

          * *type: string*

        * **name**
          * *description: Name of the cloud function*

          * *example: my-cloud-function*

          * *type: string*

        * **serviceID**
          * *description: Unique identifier for the cloud function*

          * *example: 7b68b78d-a000-4000-9000-0864fd331524*

          * *format: uuid*

          * *type: string*

        * **status**
          * *description: Current status of the cloud function*

          * **enum**
            * *0: Initializing*

            * *1: Active*

            * *2: Failed*

            * *3: Deleted*

            * *4: Idle*

          * *example: Initializing*

          * *type: string*

      * **required**
        * *0: serviceID*

        * *1: name*

        * *2: status*

        * *3: createdBy*

        * *4: createdAt*

      * *type: object*

    * **NotebookCloudFunctionPaginationMetadata**
      * *description: Pagination metadata for the cloud functions list*

      * **properties**
        * **count**
          * *description: Number of cloud functions in the current page*

          * *type: integer*

        * **hasNextPage**
          * *description: Indicates if there is a next page*

          * *type: boolean*

        * **hasPreviousPage**
          * *description: Indicates if there is a previous page*

          * *type: boolean*

        * **totalCount**
          * *description: Total number of cloud functions*

          * *type: integer*

      * **required**
        * *0: count*

        * *1: hasPreviousPage*

        * *2: hasNextPage*

        * *3: totalCount*

      * *type: object*

    * **Organization**
      * *description: Represents information related to an organization*

      * **properties**
        * **firewallRanges**
          * *description: The list of allowed IP addresses which can access the Management API*

          * **items**
            * *type: string*

          * *type: array*

        * **name**
          * *description: Name of the organization*

          * *type: string*

        * **orgID**
          * *description: ID of the organization*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: orgID*

      * *type: object*

    * **PermissionDefinition**
      * **properties**
        * **description**
          * *description: Permission description*

          * *type: string*

        * **permission**
          * *description: Permission name*

          * *type: string*

        * **resourceType**
          * *description: Resource type for the permission*

          * *type: string*

      * **required**
        * *0: permission*

        * *1: resourceType*

      * *type: object*

    * **PermissionsForResourceType**
      * **properties**
        * **permissions**
          * *description: The permissions of the resource type on the role*

          * **items**
            * *type: string*

          * *type: array*

        * **resourceType**
          * *description: Resource type*

          * *type: string*

      * **required**
        * *0: resourceType*

        * *1: permissions*

      * *type: object*

    * **PermissionsSpecification**
      * **properties**
        * **permissions**
          * *description: The permissions of the resource type on the role*

          * **items**
            * *type: string*

          * *type: array*

        * **resourceType**
          * *description: Resource type*

          * *type: string*

      * **required**
        * *0: resourceType*

        * *1: permissions*

      * *type: object*

    * **PrivateConnection**
      * *description: Represents information related to a private link connection*

      * **properties**
        * **activeAt**
          * *description: The timestamp of when the private connection became active*

          * *example: 2023-09-18T09:56:56Z*

          * *type: string*

        * **allowList**
          * *description: The private connection allow list. This is the account ID for AWS,  subscription ID for Azure, and the project name GCP*

          * *example: my-allow-list*

          * *type: string*

        * **allowedPrivateLinkIDs**
          * **items**
            * *description: Allowed Private Link ID*

            * *example: vpce-01a376f2625261f22*

            * *type: string*

          * *type: array*

        * **createdAt**
          * *description: The timestamp of when the private connection was created*

          * *example: 2023-09-18T09:56:56Z*

          * *type: string*

        * **deletedAt**
          * *description: The timestamp of when the private connection was deleted*

          * *example: 2023-09-18T09:56:56Z*

          * *type: string*

        * **endpoint**
          * *description: The service endpoint*

          * *example: com.amazonaws.vpce.us-east-1.vpce-svc-08e20961f648f9d*

          * *type: string*

        * **outboundAllowList**
          * *description: The account ID which must be allowed for outbound connections*

          * *example: arn:aws:iam:xxxxxxxxx:root*

          * *type: string*

        * **privateConnectionID**
          * *description: The ID of the private connection*

          * *example: 8900372e-0000-1000-9000-4c47638040af*

          * *format: uuid*

          * *type: string*

        * **serviceName**
          * *description: The name of the private connection service*

          * *example: My service*

          * *type: string*

        * **sqlPort**
          * *description: The SQL port*

          * *type: number*

        * **status**
          * *description: The status of the private connection*

          * **enum**
            * *0: PENDING*

            * *1: ACTIVE*

            * *2: DELETED*

          * *example: ACTIVE*

          * *type: string*

        * **type**
          * *description: The private connection type*

          * **enum**
            * *0: INBOUND*

            * *1: OUTBOUND*

          * *example: INBOUND*

          * *type: string*

        * **updatedAt**
          * *description: The timestamp of when the private connection was last updated*

          * *example: 2023-09-18T09:56:56Z*

          * *type: string*

        * **websocketsPort**
          * *description: The websockets port*

          * *type: number*

        * **workspaceGroupID**
          * *description: The ID of the workspace group containing the private connection*

          * *example: 68af2f46-0000-1000-9000-3f6f5365d878*

          * *format: uuid*

          * *type: string*

        * **workspaceID**
          * *description: The ID of the workspace to connect with*

          * *example: 7d6b3a5a-0000-1000-9000-d454af4c785b*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: privateConnectionID*

        * *1: workspaceGroupID*

      * *type: object*

    * **PrivateConnectionCreate**
      * *description: Represents the information specified when creating a private connection*

      * **properties**
        * **allowList**
          * *description: The private connection allow list*

          * *example: my-allow-list*

          * *type: string*

        * **kaiEndpointID**
          * *description: VPC Endpoint ID for AWS*

          * *example: vpce-12345678901234567*

          * *type: string*

        * **serviceName**
          * *description: The name of the private connection service*

          * *example: My private link*

          * *type: string*

        * **sqlPort**
          * *description: The SQL port*

          * *type: number*

        * **type**
          * *description: The private connection type*

          * **enum**
            * *0: INBOUND*

            * *1: OUTBOUND*

          * *example: INBOUND*

          * *type: string*

        * **websocketsPort**
          * *description: The websockets port*

          * *type: number*

        * **workspaceGroupID**
          * *description: The ID of the workspace group containing the private connection*

          * *example: 68af2f46-0000-1000-9000-3f6f5365d878*

          * *format: uuid*

          * *type: string*

        * **workspaceID**
          * *description: The ID of the workspace to connect with*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: workspaceGroupID*

      * *type: object*

    * **PrivateConnectionKaiInfo**
      * *description: Represents the information for creating private connection to SingleStore Kai*

      * **properties**
        * **serviceName**
          * *description: VPC Endpoint Service Name for AWS*

          * *example: com.amazonaws.vpce.us-east-1.vpce-svc-0123456789abcdefg*

          * *type: string*

      * *type: object*

    * **PrivateConnectionOutboundAllowList**
      * *description: Represents information related to a private connection outbound allow list*

      * **properties**
        * **outboundAllowList**
          * *description: The account ID allowed for outbound connections*

          * *example: arn:aws:iam:xxxxxxxxx:root*

          * *type: string*

      * *type: object*

    * **PrivateConnectionUpdate**
      * *description: Represents the information specfied when updating a private connection*

      * **properties**
        * **allowList**
          * *description: The private connection allow list*

          * *example: my-allow-list*

          * *type: string*

      * *type: object*

    * **Project**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/ProjectIDResponse*

        * **1**
          * *$ref: #/components/schemas/ProjectCreate*

        * **2**
          * **properties**
            * **createdAt**
              * *description: The timestamp of when the project was created*

              * *format: date-time*

              * *type: string*

          * **required**
            * *0: createdAt*

          * *type: object*

      * *description: Full project representation*

    * **ProjectCreate**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/ProjectUpdate*

        * **1**
          * **properties**
            * **edition**
              * *$ref: #/components/schemas/ProjectEdition*

          * **required**
            * *0: edition*

          * *type: object*

      * *description: Request body for creating a project*

    * **ProjectEdition**
      * *description: Edition of the project*

      * **enum**
        * *0: STANDARD*

        * *1: ENTERPRISE*

        * *2: PREMIUM*

        * *3: DEDICATED*

        * *4: SHARED*

      * *type: string*

    * **ProjectIDResponse**
      * *description: Represents the project identifier response payload*

      * **properties**
        * **projectID**
          * *format: uuid*

          * *type: string*

      * **required**
        * *0: projectID*

      * *type: object*

    * **ProjectUpdate**
      * *description: Request body for updating a project*

      * **properties**
        * **name**
          * *description: Name of the project*

          * *type: string*

      * **required**
        * *0: name*

      * *type: object*

    * **Region**
      * *description: Represents information related to a region in which a workspace group is created*

      * **properties**
        * **provider**
          * *$ref: #/components/schemas/CloudProvider*

        * **region**
          * *description: Name of the region*

          * *type: string*

        * **regionID**
          * *description: ID of the region*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: regionID*

        * *1: region*

        * *2: provider*

      * *type: object*

    * **RegionV2**
      * *description: Represents information related to a region in which a workspace group is created*

      * **properties**
        * **provider**
          * *$ref: #/components/schemas/CloudProvider*

        * **region**
          * *description: Name of the region*

          * *type: string*

        * **regionName**
          * *description: The region code name*

          * *type: string*

      * **required**
        * *0: region*

        * *1: provider*

        * *2: regionName*

      * *type: object*

    * **ReplicatedDatabase**
      * *description: Represents information related to a database's replication status*

      * **properties**
        * **databaseName**
          * *description: Name of the database*

          * *type: string*

        * **duplicationState**
          * *description: Duplication state of the database*

          * **enum**
            * *0: Pending*

            * *1: Active*

            * *2: Inactive*

            * *3: Error*

          * *type: string*

        * **region**
          * *description: Name of the region*

          * *type: string*

      * **required**
        * *0: databaseName*

        * *1: region*

        * *2: duplicationState*

      * *type: object*

    * **ResourceRole**
      * **properties**
        * **description**
          * *description: the description about the role*

          * *type: string*

        * **grants**
          * **items**
            * *$ref: #/components/schemas/ResourceRoleGrant*

          * *type: array*

        * **role**
          * *description: the role can access the resource*

          * *type: string*

      * **required**
        * *0: role*

        * *1: description*

        * *2: grants*

      * *type: object*

    * **ResourceRoleGrant**
      * **properties**
        * **createdAt**
          * *description: Creation timestamp*

          * *format: date-time*

          * *type: string*

        * **createdBy**
          * *$ref: #/components/schemas/UserInfo*

        * **identity**
          * **oneOf**
            * **0**
              * *$ref: #/components/schemas/UserInfo*

            * **1**
              * *$ref: #/components/schemas/TeamInfo*

        * **inheritedFrom**
          * **properties**
            * **resourceID**
              * *description: ID of the resource*

              * *format: uuid*

              * *type: string*

            * **resourceType**
              * *type: string*

            * **role**
              * *type: string*

          * **required**
            * *0: role*

            * *1: resourceType*

            * *2: resourceID*

          * *type: object*

      * **required**
        * *0: identity*

        * *1: createdAt*

      * *type: object*

    * **RetentionPeriodParams**
      * *description: Represents the information to be specified when updating the retention period of a workspace group.*

      * **properties**
        * **retentionPeriod**
          * *description: Retention period in minutes*

          * *type: integer*

      * **required**
        * *0: retentionPeriod*

      * *type: object*

    * **RoleCreate**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/RoleUpdate*

        * **1**
          * **properties**
            * **role**
              * *description: The name for the custom role*

              * *type: string*

          * **required**
            * *0: role*

          * *type: object*

    * **RoleCreateV2**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/RoleReplaceV2*

        * **1**
          * **properties**
            * **role**
              * *description: The name for the custom role*

              * *type: string*

          * **required**
            * *0: role*

          * *type: object*

    * **RoleDefinition**
      * **properties**
        * **createdAt**
          * *description: Creation timestamp.*

          * *format: date-time*

          * *type: string*

        * **createdBy**
          * *$ref: #/components/schemas/UserInfo*

        * **description**
          * *description: A description of the role*

          * *type: string*

        * **inherits**
          * *description: The roles that current role will inherit from*

          * **items**
            * *$ref: #/components/schemas/TypedRole*

          * *type: array*

        * **isCustom**
          * *description: Indicate the role is a custom role*

          * *type: boolean*

        * **permissions**
          * *description: The permissions that the role has*

          * **items**
            * *type: string*

          * *type: array*

        * **resourceType**
          * *description: The resource type for the role*

          * *type: string*

        * **role**
          * *description: The role name*

          * *type: string*

        * **updatedAt**
          * *description: Timestamp of most recent state change.*

          * *format: date-time*

          * *type: string*

        * **updatedBy**
          * *$ref: #/components/schemas/UserInfo*

      * **required**
        * *0: role*

        * *1: resourceType*

        * *2: permissions*

        * *3: isCustom*

        * *4: inherits*

      * *type: object*

    * **RoleDefinitionV2**
      * **properties**
        * **createdAt**
          * *description: Creation timestamp.*

          * *format: date-time*

          * *type: string*

        * **createdBy**
          * *$ref: #/components/schemas/UserInfo*

        * **description**
          * *description: A description of the role*

          * *type: string*

        * **permissions**
          * *description: Permissions for the role definition*

          * **items**
            * *$ref: #/components/schemas/PermissionsForResourceType*

          * *type: array*

        * **role**
          * *description: The role name*

          * *type: string*

        * **updatedAt**
          * *description: Timestamp of most recent state change.*

          * *format: date-time*

          * *type: string*

        * **updatedBy**
          * *$ref: #/components/schemas/UserInfo*

      * **required**
        * *0: role*

        * *1: permissions*

      * *type: object*

    * **RoleReplaceV2**
      * **properties**
        * **description**
          * *description: A description of the role*

          * *type: string*

        * **permissions**
          * *description: All permissions defined for the role to be replaced*

          * **items**
            * *$ref: #/components/schemas/PermissionsSpecification*

          * *type: array*

        * **role**
          * *description: Optional role name and must match the role path parameter when provided*

          * *type: string*

      * **required**
        * *0: permissions*

      * *type: object*

    * **RoleUpdate**
      * **properties**
        * **description**
          * *description: A description of the role*

          * *type: string*

        * **inherits**
          * *description: The roles that the current role will inherit from*

          * **items**
            * *$ref: #/components/schemas/TypedRole*

          * *type: array*

        * **permissions**
          * *description: The permissions are seperated by the resourceType, like you can put 'View Storage' DR for 'Cluster' resourceType but not 'Organization'*

          * **items**
            * *type: string*

          * *type: array*

      * **required**
        * *0: permissions*

        * *1: inherits*

      * *type: object*

    * **RuntimesResult**
      * **properties**
        * **description**
          * *description: The description of the runtime*

          * *example: 1750m vCPU | 15Gi*

          * *type: string*

        * **name**
          * *description: The name of the runtime*

          * *example: notebooks-cpu-small*

          * *type: string*

      * **required**
        * *0: name*

        * *1: description*

      * *type: object*

    * **Secret**
      * *description: Represents information related to SingleStore Helios secrets.*

      * **properties**
        * **createdAt**
          * *description: The timestamp of when the secret was created.*

          * *example: 2023-09-18T09:56:56Z*

          * *type: string*

        * **createdBy**
          * *description: The ID of the user that created the secret.*

          * *example: 17290909-0000-1000-9000-e30410f1b05a*

          * *format: uuid*

          * *type: string*

        * **deletedAt**
          * *description: The timestamp of when the secret was deleted.*

          * *example: 2023-09-18T09:56:56Z*

          * *type: string*

        * **deletedBy**
          * *description: The ID of the user that deleted the secret.*

          * *example: 17290909-0000-1000-9000-e30410f1b05a*

          * *format: uuid*

          * *type: string*

        * **lastUpdatedAt**
          * *description: The timestamp of when the secret was last updated.*

          * *example: 2023-09-18T09:56:56Z*

          * *type: string*

        * **lastUpdatedBy**
          * *description: The ID of the user that last updated the secret.*

          * *example: 17290909-0000-1000-9000-e30410f1b05a*

          * *format: uuid*

          * *type: string*

        * **name**
          * *description: The name of the secret. It can only contain alphanumeric characters or underscores.*

          * *example: my\_secret*

          * *type: string*

        * **secretID**
          * *description: The ID of the secret.*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *format: uuid*

          * *type: string*

        * **value**
          * *description: The value of the secret.*

          * *example: my\_secret\_value*

          * *type: string*

      * **required**
        * *0: secretID*

        * *1: name*

        * *2: createdAt*

        * *3: createdBy*

        * *4: lastUpdatedAt*

        * *5: lastUpdatedBy*

      * *type: object*

    * **SecretCreate**
      * *description: Represents the information specified when creating a secret.*

      * **properties**
        * **name**
          * *description: The name of the secret. It can only contain alphanumeric characters or underscores.*

          * *example: my\_secret*

          * *type: string*

        * **value**
          * *description: The value of the secret.*

          * *example: my\_secret\_value*

          * *type: string*

      * **required**
        * *0: name*

        * *1: value*

      * *type: object*

    * **SecretUpdate**
      * *description: Represents the information specified when updating a secret.*

      * **properties**
        * **value**
          * *description: The value of the secret.*

          * *example: my\_secret\_value*

          * *type: string*

      * *type: object*

    * **ServiceAccount**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/ServiceAccountIDResponse*

        * **1**
          * *$ref: #/components/schemas/ServiceAccountUpdate*

        * **2**
          * **properties**
            * **createdBy**
              * *description: Identifier of the user that created the service account.*

              * *format: uuid*

              * *type: string*

            * **email**
              * *description: The generated fake email address for the service account.*

              * *example: service-account-abc123\@service.singlestore.com*

              * *type: string*

          * **required**
            * *0: email*

            * *1: name*

            * *2: description*

          * *type: object*

      * *description: Information about a SingleStoreDB Cloud service account.*

    * **ServiceAccountCreate**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/ServiceAccountUpdate*

        * **1**
          * **required**
            * *0: name*

          * *type: object*

      * *description: Information specified when creating a service account.*

    * **ServiceAccountIDResponse**
      * *description: Represents a service account identifier response payload.*

      * **properties**
        * **serviceAccountID**
          * *description: Service account identifier.*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: serviceAccountID*

      * *type: object*

    * **ServiceAccountUpdate**
      * *description: Information specified when updating a service account.*

      * **properties**
        * **description**
          * *description: Service account description.*

          * *example: Service account used by ingestion jobs.*

          * *type: string*

        * **name**
          * *description: Service account name.*

          * *example: ingestion-service-renamed*

          * *type: string*

      * *type: object*

    * **SharedTierCreateUser**
      * *description: Represents the information specified when creating a user in a shared tier workspace*

      * **properties**
        * **password**
          * *description: The starter workspace user password to connect the new user to the database.*

          * *example: My-password1!*

          * *type: string*

        * **userName**
          * *description: The starter workspace user name to connect the new user to the database*

          * *example: new-user*

          * *type: string*

      * **required**
        * *0: userName*

      * *type: object*

    * **SharedTierCreateVirtualCluster**
      * **properties**
        * **databaseName**
          * *description: Name of the database*

          * *example: database\_60c6b*

          * *type: string*

        * **name**
          * *description: Name of the starter cluster*

          * *example: starter-cluster-1*

          * *type: string*

        * **projectID**
          * *description: Assigns the starter cluster to a project*

          * *example: 2d7bd375-6303-46c4-903a-8a3d5b4922c0*

          * *format: uuid*

          * *type: string*

        * **provider**
          * *description: Name of the provider*

          * **enum**
            * *0: AWS*

            * *1: GCP*

            * *2: AZURE*

          * *type: string*

        * **regionName**
          * *description: The region code*

          * *example: us-east-1*

          * *type: string*

      * **required**
        * *0: name*

        * *1: databaseName*

        * *2: provider*

        * *3: regionName*

      * *type: object*

    * **SharedTierCreateVirtualWorkspace**
      * **properties**
        * **databaseName**
          * *description: Name of the database*

          * *example: database\_60c6b*

          * *type: string*

        * **name**
          * *description: Name of the shared workspace*

          * *example: shared-workspace-1*

          * *type: string*

        * **projectID**
          * *description: Assigns the shared workspace to a project*

          * *example: 2d7bd375-6303-46c4-903a-8a3d5b4922c0*

          * *format: uuid*

          * *type: string*

        * **provider**
          * *description: Name of the provider*

          * **enum**
            * *0: AWS*

            * *1: GCP*

            * *2: AZURE*

          * *type: string*

        * **regionName**
          * *description: The region code*

          * *example: us-east-1*

          * *type: string*

      * **required**
        * *0: name*

        * *1: databaseName*

        * *2: provider*

        * *3: regionName*

      * *type: object*

    * **SharedTierMigrateStatusV2**
      * *description: Represents the information related to the migration of a Shared Edition deployment (starter cluster) to a cluster group*

      * **properties**
        * **clusterID**
          * *description: ID of the new cluster*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *format: uuid*

          * *type: string*

        * **migratedScheduledJobs**
          * *description: Indicates whether the migration operation included scheduled jobs.*

          * *type: boolean*

        * **migrationStatus**
          * *description: Status of the migration operation*

          * **enum**
            * *0: PENDING*

            * *1: SUCCEEDED*

            * *2: FAILED*

          * *example: SUCCEEDED*

          * *type: string*

      * **required**
        * *0: migrationStatus*

        * *1: clusterID*

        * *2: migratedScheduledJobs*

      * *type: object*

    * **SharedTierUpdateUser**
      * *description: Represents the information specified when updating a user in a shared tier workspace*

      * **properties**
        * **password**
          * *description: The virtual workspace user password to connect the new user to the database.*

          * *example: My-password1!*

          * *type: string*

      * *type: object*

    * **SharedTierVirtualCluster**
      * **properties**
        * **databaseName**
          * *description: Name of the database*

          * *example: database\_60c6b*

          * *type: string*

        * **endpoint**
          * *description: The application endpoint of the SingleStore database*

          * *example: svc-3482219c-a389-4079-b18b-d50662524e8a-shared-dml.aws-virginia-6.svc.singlestore.com:3333*

          * *type: string*

        * **mysqlDmlPort**
          * *description: The MySQL DML port*

          * *type: integer*

        * **name**
          * *description: Name of the starter cluster*

          * *example: starter-cluster-1*

          * *type: string*

        * **projectID**
          * *description: ID of the project to which the virtual cluster is assigned.*

          * *example: 2d7bd375-0000-1000-9000-8a3d5b4922c0*

          * *format: uuid*

          * *type: string*

        * **virtualClusterID**
          * *description: ID of the starter cluster*

          * *format: uuid*

          * *type: string*

        * **websocketPort**
          * *description: The websockets port*

          * *type: integer*

      * *type: object*

    * **SharedTierVirtualWorkspace**
      * **properties**
        * **databaseName**
          * *description: Name of the database*

          * *example: database\_60c6b*

          * *type: string*

        * **endpoint**
          * *description: The application endpoint of the SingleStore database*

          * *example: svc-3482219c-a389-4079-b18b-d50662524e8a-shared-dml.aws-virginia-6.svc.singlestore.com:3333*

          * *type: string*

        * **mysqlDmlPort**
          * *description: The MySQL DML port*

          * *type: integer*

        * **name**
          * *description: Name of the starter workspace*

          * *example: starter-workspace-1*

          * *type: string*

        * **projectID**
          * *description: ID of the project to which the virtual workspace is assigned.*

          * *example: 2d7bd375-0000-1000-9000-8a3d5b4922c0*

          * *format: uuid*

          * *type: string*

        * **virtualWorkspaceID**
          * *description: ID of the starter workspace*

          * *format: uuid*

          * *type: string*

        * **websocketPort**
          * *description: The websockets port*

          * *type: integer*

      * *type: object*

    * **SimulateUsageRequest**
      * *description: Request body for simulating billing usage*

      * **example**
        * *endBefore: 2024-01-31T23:59:59Z*

        * **resourceConfigurations**
          * **0**
            * *edition: Standard*

            * *endBefore: 2024-01-31T23:59:59Z*

            * *id: 7d6b3a5a-0000-1000-9000-d454af4c785b*

            * *size: S-1*

            * *startAt: 2024-01-01T00:00:00Z*

            * *status: Active*

        * *startAt: 2024-01-01T00:00:00Z*

      * **properties**
        * **endBefore**
          * *description: The end time of the simulation period (must be after startAt)*

          * *example: 2024-06-02T08:00:00Z*

          * *format: date-time*

          * *type: string*

        * **resourceConfigurations**
          * *description: Array of resource configurations to simulate*

          * **items**
            * *$ref: #/components/schemas/SimulationResourceConfig*

          * *type: array*

        * **startAt**
          * *description: The start time of the simulation period*

          * *example: 2024-06-01T08:00:00Z*

          * *format: date-time*

          * *type: string*

      * **required**
        * *0: startAt*

        * *1: endBefore*

        * *2: resourceConfigurations*

      * *type: object*

    * **SimulateUsageResponse**
      * *description: Response containing simulated usage data*

      * **properties**
        * **resourceUsage**
          * *description: Array of simulated resource usage entries*

          * **items**
            * *$ref: #/components/schemas/SimulatedResourceUsage*

          * *type: array*

      * *type: object*

    * **SimulatedResourceUsage**
      * *description: Simulated usage data for a single resource*

      * **example**
        * *endBefore: 2024-01-31T23:59:59Z*

        * *id: 7d6b3a5a-0000-1000-9000-d454af4c785b*

        * *metric: ComputeHour*

        * *name: test-workspace*

        * *startAt: 2024-01-01T00:00:00Z*

        * *type: Workspace*

      * **properties**
        * **amount**
          * *description: The computed usage amount*

          * *format: double*

          * *type: number*

        * **endBefore**
          * *description: The end time of the usage period (optional)*

          * *format: date-time*

          * *type: string*

        * **id**
          * *description: The ID of the resource*

          * *format: uuid*

          * *type: string*

        * **metric**
          * *description: The metric used to measure usage (optional)*

          * **enum**
            * *0: ComputeHour*

          * *type: string*

        * **name**
          * *description: The name of the resource (optional)*

          * *type: string*

        * **parentID**
          * *description: The ID of the parent resource (optional)*

          * *format: uuid*

          * *type: string*

        * **startAt**
          * *description: The start time of the usage period (optional)*

          * *format: date-time*

          * *type: string*

        * **type**
          * *description: The type of resource (optional)*

          * **enum**
            * *0: Cluster*

            * *1: Workspace*

            * *2: WorkspaceGroup*

          * *type: string*

      * **required**
        * *0: id*

        * *1: amount*

      * *type: object*

    * **SimulationResourceConfig**
      * *description: Configuration for a simulated resource*

      * **properties**
        * **cacheMultiplier**
          * *description: The cache multiplier (optional)*

          * **enum**
            * *0: X1*

            * *1: X2*

            * *2: X4*

          * *type: string*

        * **cellID**
          * *description: The ID of the cell (optional)*

          * *format: uuid*

          * *type: string*

        * **edition**
          * *description: The edition of the resource (optional)*

          * **enum**
            * *0: Standard*

            * *1: Enterprise*

            * *2: Dedicated*

          * *type: string*

        * **endBefore**
          * *description: The end time for this resource configuration*

          * *format: date-time*

          * *type: string*

        * **id**
          * *description: The ID of the resource*

          * *format: uuid*

          * *type: string*

        * **multiAZ**
          * *description: Whether the resource uses multiple availability zones (optional)*

          * *type: boolean*

        * **scaleFactor**
          * *description: The scale factor (optional)*

          * **enum**
            * *0: X1*

            * *1: X2*

            * *2: X4*

          * *type: string*

        * **size**
          * *description: The size of the resource, e.g., S-00, S-1, S-2 (optional)*

          * *type: string*

        * **startAt**
          * *description: The start time for this resource configuration*

          * *format: date-time*

          * *type: string*

        * **status**
          * *description: The status of the resource (optional)*

          * **enum**
            * *0: Active*

            * *1: Paused*

            * *2: Terminated*

          * *type: string*

      * **required**
        * *0: id*

        * *1: startAt*

        * *2: endBefore*

      * *type: object*

    * **StorageDRSetup**
      * *description: Represents the information specified to setup Storage DR*

      * **properties**
        * **autoReplication**
          * *description: If set to true, all existing and future databases created will be automatically replicated to the secondary region. If set to false, turns off auto replication.&#xA;*

          * *type: boolean*

        * **databaseNames**
          * *description: List of database names (can be an empty list if setting up Auto-Replication).*

          * **items**
            * *example: x\_db*

            * *type: string*

          * *type: array*

        * **regionID**
          * *description: Region ID of the secondary region*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: regionID*

        * *1: databaseNames*

      * *type: object*

    * **StorageDRStatus**
      * *description: Represents Storage DR status information*

      * **properties**
        * **compute**
          * *description: Represents information related to a workspace group's latest storage DR operation*

          * **properties**
            * **completedAttachments**
              * *description: The number of database attachments that have been setup*

              * *type: integer*

            * **completedWorkspaces**
              * *description: The number of workspaces that have been setup*

              * *type: integer*

            * **secondaryWorkspaceGroupIDs**
              * *description: The IDs of the secondary (standby) workspace groups in this DR group*

              * **items**
                * *format: uuid*

                * *type: string*

              * *type: array*

            * **storageDRState**
              * *description: Status of Storage DR operation*

              * **enum**
                * *0: Active*

                * *1: Completed*

                * *2: Failed*

                * *3: Expired*

                * *4: Canceled*

              * *type: string*

            * **storageDRType**
              * *description: Name of Storage DR operation*

              * **enum**
                * *0: Failover*

                * *1: Failback*

                * *2: PreProvisionStart*

                * *3: PreProvisionStop*

              * *type: string*

            * **totalAttachments**
              * *description: The total number of database attachments to setup*

              * *type: integer*

            * **totalWorkspaces**
              * *description: The total number of workspaces to setup*

              * *type: integer*

          * **required**
            * *0: storageDRType*

            * *1: storageDRState*

            * *2: totalWorkspaceBuildTasks*

            * *3: totalDatabaseAttachTasks*

            * *4: completedWorkspaceBuildTasks*

            * *5: completedDatabaseAttachTasks*

          * *type: object*

        * **storage**
          * **items**
            * *$ref: #/components/schemas/ReplicatedDatabase*

          * *type: array*

      * **required**
        * *0: compute*

        * *1: storage*

      * *type: object*

    * **TableEgressDrop**
      * *description: Represents the information specified to drop exporting data from a table to Apache Iceberg format*

      * **properties**
        * **egressID**
          * *description: The ID of the export operation*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *type: string*

      * **required**
        * *0: egressID*

      * *type: object*

    * **TableEgressResume**
      * *description: Represents the information specified to resume exporting data from a table to Apache Iceberg format*

      * **properties**
        * **egressID**
          * *description: The ID of the export operation*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *type: string*

      * **required**
        * *0: egressID*

      * *type: object*

    * **TableEgressStart**
      * *description: Represents the information specified to start exporting data from a table to Apache Iceberg format*

      * **properties**
        * **catalogInfo**
          * *description: Catalog information for egressing data*

          * *type: object*

        * **columnNames**
          * **items**
            * *description: The names of the columns to egress*

            * *example: column1*

            * *type: string*

          * *type: array*

        * **databaseName**
          * *description: The name of the database*

          * *example: sample\_db*

          * *type: string*

        * **incremental**
          * *description: Whether the export process is incremental or not*

          * *type: boolean*

        * **partitionSpec**
          * *description: Partition specification of the table*

          * *type: object*

        * **properties**
          * *description: Properties of the table*

          * *type: object*

        * **refreshInterval**
          * *description: The incremental export process refresh internal in seconds*

          * *type: integer*

        * **sortOrderSpec**
          * *description: Sort order specification of the table*

          * *type: object*

        * **storageID**
          * *description: The SingleStore identifier that uniquely identifies the database associated with the export process*

          * *type: string*

        * **storageInfo**
          * *description: Storage information for egressing data*

          * *type: object*

        * **tableName**
          * *description: The name of the table*

          * *example: sample\_table*

          * *type: string*

      * **required**
        * *0: databaseName*

        * *1: tableName*

        * *2: columnNames*

        * *3: storageInfo*

        * *4: catalogInfo*

      * *type: object*

    * **TableEgressStatus**
      * *description: Represents the status of an export operation*

      * **properties**
        * **status**
          * *description: The status of the export operation*

          * *example: Running*

          * *type: string*

        * **statusMsg**
          * *description: The status message of the export operation*

          * *type: string*

      * **required**
        * *0: status*

      * *type: object*

    * **TableEgressStatusParams**
      * *description: Represents the status of exporting data from a table to Apache Iceberg format*

      * **properties**
        * **egressID**
          * *description: The ID of the export operation*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *type: string*

      * **required**
        * *0: egressID*

      * *type: object*

    * **TableEgressSuspend**
      * *description: Represents the information specified to suspend exporting data from a table to Apache Iceberg format*

      * **properties**
        * **egressID**
          * *description: The ID of the export operation*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *type: string*

      * **required**
        * *0: egressID*

      * *type: object*

    * **Team**
      * *description: A SingleStoreDB Cloud team.*

      * **example**
        * *createdAt: 2023-09-18T09:56:56Z*

        * *description: All analysts in the abc.com organization*

        * **memberTeams**
          * **0**
            * *description:&#x20;*

            * *name: APAC Analysts*

            * *teamID: 3a6fd5c9-616c-4dea-b41c-92eb1d442889*

        * **memberUsers**
          * **0**
            * *email: jane.doe\@abc.com*

            * *firstName: Jane*

            * *lastName: Doe*

            * *userID: 121e74be-6b93-44ac-b240-9be663f680de*

          * **1**
            * *email: jack.smith\@abc.com*

            * *firstName: Jack*

            * *lastName: Smith*

            * *userID: a69181f0-8d64-4b31-a516-ce1b6483edd4*

        * *name: Analysts*

        * *teamID: c74bb6a6-0000-1000-9000-1d874fa277b0*

      * **properties**
        * **createdAt**
          * *description: Team creation timestamp.*

          * *example: 2023-09-18T09:56:56Z*

          * *type: string*

        * **description**
          * *description: Team description.*

          * *example: All analysts in the abc.com organization*

          * *type: string*

        * **memberTeams**
          * **items**
            * *$ref: #/components/schemas/TeamInfo*

          * *type: array*

        * **memberUsers**
          * **items**
            * *$ref: #/components/schemas/UserInfo*

          * *type: array*

        * **name**
          * *description: Team name.*

          * *example: Analysts*

          * *type: string*

        * **teamID**
          * *description: Team identifier.*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: teamID*

        * *1: name*

        * *2: description*

      * *type: object*

    * **TeamCreate**
      * *description: Information specified when creating a team.*

      * **properties**
        * **description**
          * *description: Optional team description.*

          * *example: All analysts in the abc.com organization*

          * *type: string*

        * **name**
          * *description: Team name.*

          * *example: Analysts*

          * *type: string*

      * **required**
        * *0: name*

      * *type: object*

    * **TeamInfo**
      * *description: Summary information about a SingleStoreDB Cloud team.*

      * **properties**
        * **description**
          * *description: Team description.*

          * *example: All analysts in the abc.com organization*

          * *type: string*

        * **name**
          * *description: Team name.*

          * *example: Analysts*

          * *type: string*

        * **teamID**
          * *description: Team identifier.*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: teamID*

        * *1: name*

        * *2: description*

      * *type: object*

    * **TeamUpdate**
      * *description: Information specified when updating a team.*

      * **properties**
        * **addMemberTeamIDs**
          * *description: List of identifiers of teams to be added as members.*

          * **items**
            * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

            * *format: uuid*

            * *type: string*

          * *type: array*

        * **addMemberUserEmails**
          * *description: List of emails of users to be added as members.*

          * **items**
            * *example: jane.doe\@abc.com*

            * *type: string*

          * *type: array*

        * **addMemberUserIDs**
          * *description: List of identifiers of users to be added as members.*

          * **items**
            * *example: 121e74be-6b93-44ac-b240-9be663f680de*

            * *format: uuid*

            * *type: string*

          * *type: array*

        * **description**
          * *description: Team description.*

          * *example: All analysts in the abc.com organization*

          * *type: string*

        * **name**
          * *description: Team name.*

          * *example: Analysts*

          * *type: string*

        * **removeMemberTeamIDs**
          * *description: List of identifiers of teams to be removed from members.*

          * **items**
            * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

            * *format: uuid*

            * *type: string*

          * *type: array*

        * **removeMemberUserEmails**
          * *description: List of emails of users to be removed from members.*

          * **items**
            * *example: jane.doe\@abc.com*

            * *type: string*

          * *type: array*

        * **removeMemberUserIDs**
          * *description: List of identifiers of users to be removed from members.*

          * **items**
            * *example: 121e74be-6b93-44ac-b240-9be663f680de*

            * *format: uuid*

            * *type: string*

          * *type: array*

      * *type: object*

    * **TypedRole**
      * **properties**
        * **resourceType**
          * *description: Resource type of the role*

          * *type: string*

        * **role**
          * *description: The role name*

          * *type: string*

      * **required**
        * *0: role*

        * *1: resourceType*

      * *type: object*

    * **UpdateWindow**
      * *description: Represents information related to an update window*

      * **properties**
        * **day**
          * *description: Day of week (0-6), starting on Sunday*

          * *type: number*

        * **hour**
          * *description: Hour of day - 0 to 23 (UTC)*

          * *type: number*

      * **required**
        * *0: hour*

        * *1: day*

      * *type: object*

    * **User**
      * **allOf**
        * **0**
          * *$ref: #/components/schemas/UserInfo*

        * **1**
          * *description: Information about a SingleStoreDB Cloud user.*

          * **properties**
            * **cloudPrincipal**
              * *description: Customer cloud identity bound to a cloud principal user.*

              * *example: arn:aws:iam::123456789012:role/IngestionRole*

              * *type: string*

            * **createdBy**
              * *description: Identifier of the user that created a service account or cloud principal user.*

              * *format: uuid*

              * *type: string*

            * **description**
              * *description: Description for service account and cloud principal users.*

              * *example: Service account used by ingestion jobs.*

              * *type: string*

            * **userKind**
              * *description: User kind.*

              * **enum**
                * *0: Standard*

                * *1: ServiceAccount*

                * *2: CloudPrincipal*

              * *example: Standard*

              * *type: string*

          * **required**
            * *0: userKind*

          * *type: object*

    * **UserInfo**
      * *description: Summary information about a SingleStoreDB Cloud user.*

      * **properties**
        * **email**
          * *description: The email address of the user.*

          * *example: jane.doe\@abc.com*

          * *type: string*

        * **firstName**
          * *description: First name of the user.*

          * *example: Jane*

          * *type: string*

        * **lastName**
          * *description: Last name of the user.*

          * *example: Doe*

          * *type: string*

        * **userID**
          * *description: User identifier.*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: userID*

        * *1: email*

        * *2: firstName*

        * *3: lastName*

      * *type: object*

    * **UserInvitation**
      * *description: Information specified when creating a user invitation.*

      * **properties**
        * **actedAt**
          * *description: Timestamp of most recent state change.*

          * *format: date-time*

          * *type: string*

        * **createdAt**
          * *description: Creation timestamp.*

          * *format: date-time*

          * *type: string*

        * **email**
          * *description: User email address.*

          * *example: alice\@abc.com*

          * *type: string*

        * **invitationID**
          * *description: Invitation identifier.*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *format: uuid*

          * *type: string*

        * **message**
          * *description: Welcome message*

          * *example: Welcome to SingleStore\@abc.com*

          * *type: string*

        * **state**
          * *description: Invitation state. Pending, Accepted, Refused, or Revoked.*

          * **enum**
            * *0: Pending*

            * *1: Accepted*

            * *2: Refused*

            * *3: Revoked*

          * *example: Pending*

          * *type: string*

        * **teamIDs**
          * *description: List of user teams.*

          * **items**
            * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

            * *format: uuid*

            * *type: string*

          * *type: array*

      * *type: object*

    * **UserInvitationCreate**
      * *description: Information specified when creating a user invitation.*

      * **properties**
        * **email**
          * *description: User email address.*

          * *example: alice\@abc.com*

          * *format: email*

          * *type: string*

        * **teamIDs**
          * *description: List of user teams.*

          * **items**
            * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

            * *format: uuid*

            * *type: string*

          * *type: array*

      * **required**
        * *0: email*

      * *type: object*

    * **Workspace**
      * *description: Represents information related to a workspace*

      * **properties**
        * **autoScale**
          * *$ref: #/components/schemas/AutoScale*

        * **autoSuspend**
          * *description: (If included in the output) Represents the current auto suspend settings enabled for this workspace. If autoSuspend has an empty value, then the auto suspend settings are disabled*

          * **properties**
            * **idleAfterSeconds**
              * *description: (If included in the output) The duration (in seconds) the workspace must be inactive until it automatically suspends*

              * *type: number*

            * **idleChangedAt**
              * *description: (If included in the output) The timestamp when idleAfterSeconds was last changed*

              * *type: string*

            * **scheduledAfterSeconds**
              * *description: (If included in the output) The scheduled duration (in seconds) after which the workspace must be suspended*

              * *type: number*

            * **scheduledChangedAt**
              * *description: (If included in the output) The timestamp when scheduledSuspendAt was last changed*

              * *type: string*

            * **scheduledSuspendAt**
              * *description: (If included in the output) The timestamp when the workspace will be suspended*

              * *type: string*

            * **suspendType**
              * *description: The type of auto suspend currently enabled*

              * **enum**
                * *0: IDLE*

                * *1: SCHEDULED*

              * *type: string*

            * **suspendTypeChangedAt**
              * *description: (If included in the output) The timestamp when suspendType was last changed*

              * *type: string*

          * **required**
            * *0: suspendType*

          * *type: object*

        * **cacheConfig**
          * *description: Specifies the multiplier for the persistent cache associated with the workspace. It can have one of the following values: 1, 2, or 4.&#xA;*

          * *type: number*

        * **createdAt**
          * *description: The timestamp of when the workspace was created*

          * *type: string*

        * **deploymentType**
          * *description: Specifies the deployment type for the workspace. It can have one of the following values: \`PRODUCTION\` or \`NON-PRODUCTION\`. If the value wasn't changed on creation, then the default will be \`PRODUCTION\`. If set to \`NON-PRODUCTION\`, the upgrades are only applied to the non-production workspaces.&#xA;*

          * **enum**
            * *0: PRODUCTION*

            * *1: NON-PRODUCTION*

          * *type: string*

        * **endpoint**
          * *description: Endpoint to connect to the workspace*

          * *type: string*

        * **kaiEnabled**
          * *description: Specifies if the workspace is kai enabled or not.*

          * *type: boolean*

        * **lastResumedAt**
          * *description: (If included in the output) The timestamp of when the workspace was last resumed*

          * *type: string*

        * **name**
          * *description: Name of the workspace*

          * *type: string*

        * **resumeAttachments**
          * *description: (If included in the output) The result of database attachments after the workspace was resumed*

          * **items**
            * *description: Represents information related to database attachments*

            * **properties**
              * **attachment**
                * *description: The type of attachment*

                * **enum**
                  * *0: READWRITE*

                  * *1: READONLY*

                * *type: string*

              * **database**
                * *description: Name of the database*

                * *type: string*

              * **error**
                * *description: The error if the attachment was not successful*

                * *type: string*

              * **success**
                * *description: Whether the attachment was successful or not*

                * *type: boolean*

            * **required**
              * *0: database*

              * *1: attachment*

              * *2: success*

            * *type: object*

          * *type: array*

        * **scaleFactor**
          * *description: (If included in the output) The scale factor specified for the workspace. The scale factor can be 1, 2 or 4.&#xA;*

          * *type: number*

        * **scalingProgress**
          * *description: (If included in the output) The current progress percentage for the scaling workspace*

          * *type: number*

        * **size**
          * *description: Size of the workspace (in workspace size notation), such as "S-00" or "S-1"&#xA;*

          * *type: string*

        * **state**
          * *description: State of the workspace*

          * **enum**
            * *0: ACTIVE*

            * *1: PENDING*

            * *2: SUSPENDED*

            * *3: FAILED*

            * *4: TERMINATED*

          * *type: string*

        * **terminatedAt**
          * *description: (If included in the output) The timestamp of when the workspace was terminated*

          * *type: string*

        * **workspaceGroupID**
          * *description: ID of the workspace group containing the workspace*

          * *format: uuid*

          * *type: string*

        * **workspaceID**
          * *description: ID of the workspace*

          * *format: uuid*

          * *type: string*

      * **required**
        * *0: name*

        * *1: workspaceID*

        * *2: workspaceGroupID*

        * *3: size*

        * *4: state*

        * *5: createdAt*

      * *type: object*

    * **WorkspaceCreate**
      * *description: Represents the information specified while creating a workspace*

      * **properties**
        * **autoScale**
          * *$ref: #/components/schemas/AutoScale*

        * **autoSuspend**
          * *description: Auto suspend settings for the workspace. If this field is not provided, no settings will be enabled.*

          * **properties**
            * **suspendAfterSeconds**
              * *description: When to suspend the workspace, according to the suspend type chosen*

              * *type: number*

            * **suspendType**
              * *description: The auto suspend mode for the workspace can have the values \`IDLE\`, \`SCHEDULED\`, or \`DISABLED\` (to create the workspace with no auto suspend settings).*

              * **enum**
                * *0: IDLE*

                * *1: SCHEDULED*

                * *2: DISABLED*

              * *example: IDLE*

              * *type: string*

          * *type: object*

        * **cacheConfig**
          * *description: Specifies the multiplier for the persistent cache associated with the workspace. If specified, it enables the cache configuration multiplier. It can have one of the following values: 1, 2, or 4.&#xA;*

          * *type: number*

        * **enableKai**
          * *description: Whether to create a SingleStore Kai-enabled workspace*

          * *type: boolean*

        * **name**
          * *description: Name of the workspace*

          * *example: demo-workspace*

          * *type: string*

        * **scaleFactor**
          * *description: Specifies the scale factor for scaling the workspace base size.
            When specified, the compute resources are scaled in proportion to the specified scale factor, while the disk remains unaffected.
            Consequently, the credit consumption is also increased proportionately.
            It can have one of the following values: 1, 2, or 4.
            For more information, refer to \[Workspace Scaling]\(https\://docs.singlestore.com/cloud/getting-started-with-singlestore-helios/about-workspaces/workspace-scaling/).&#xA;*

          * *type: number*

        * **size**
          * *description: Size of the workspace (in workspace size notation), such as "S-1". The default value is "S-00".&#xA;*

          * *example: S-2*

          * *type: string*

        * **workspaceGroupID**
          * *description: ID of the workspace group in which the workspace is created*

          * *example: c74bb6a6-0000-1000-9000-1d874fa277b0*

          * *format: uuid*

          * *type: string*

[...]
